// ------------------------------------------------------------------------
// - ccnf.hpp                                                             -
// - standard platform library - base type configuration                  -
// ------------------------------------------------------------------------
// - This program is free software; you can redistribute it and/or modify -
// - it provided that this copyright notice is kept intact.               -
// -                                                                      -
// - This program is distributed in the hope  that it will be useful, but -
// - without  any  warranty;  without  even  the  implied   warranty   of -
// - merchantability  or  fitness  for  a particular purpose. In no event -
// - shall the  copyright  holder  be  liable  for any  direct, indirect, -
// - incidental or special  damages  arising in any way out of the use of -
// - this software.                                                       -
// -                                                                      -
// - This file was automatically generated by ccnf                        -
// ------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                -
// ------------------------------------------------------------------------

#ifndef  AFNIX_CCNF_HPP
#define  AFNIX_CCNF_HPP

// afnix revision
#define  AFNIX_VERSION_MAJOR      1
#define  AFNIX_VERSION_MINOR      0
#define  AFNIX_VERSION_PATCH      3
#define  AFNIX_VERSION_TOTAL      "1-0-3"

// supported platforms
#define  AFNIX_PLATFORM_UNKNOWN   0
#define  AFNIX_PLATFORM_LINUX     1
#define  AFNIX_PLATFORM_SOLARIS   2
#define  AFNIX_PLATFORM_FREEBSD   3

// supported processors
#define  AFNIX_PROCTYPE_UNKNOWN   0
#define  AFNIX_PROCTYPE_IA        1
#define  AFNIX_PROCTYPE_SPARC     2
#define  AFNIX_PROCTYPE_ALPHA     3
#define  AFNIX_PROCTYPE_ARM       4
#define  AFNIX_PROCTYPE_PPC       5
#define  AFNIX_PROCTYPE_M68K      6
#define  AFNIX_PROCTYPE_MIPS      7
#define  AFNIX_PROCTYPE_MIPSEL    8
#define  AFNIX_PROCTYPE_PA64      9
#define  AFNIX_PROCTYPE_IA64      10
#define  AFNIX_PROCTYPE_S390      11
#define  AFNIX_PROCTYPE_AMD64     12
#define  AFNIX_PROCTYPE_X64       12

// platform definitions
#define  AFNIX_PLATFORM_PLATID    3
#define  AFNIX_PLATFORM_PROCID    1
#define  AFNIX_PLATFORM_VERSION   6.0-RELEASE
#define  AFNIX_PLATFORM_MAJOR     6
#define  AFNIX_PLATFORM_MINOR     0-RELEASE
#define  AFNIX_PLATFORM_NAME      "freebsd"
#define  AFNIX_PLATFORM_VINFO     "6.0-RELEASE"
#define  AFNIX_PLATFORM_PROC      "ia"
#define  AFNIX_PLATFORM_PTYPE     "generic"

// processor mode
#define  AFNIX_HAVE_LITTLE_ENDIAN

// configuration definitions
#define  AFNIX_LINKTYPE_STATIC    false

// the base nilp pointer definition
#ifndef nilp
#define nilp 0
#endif

namespace afnix {
  // fundamental types of the afnix system
  typedef unsigned char      t_byte;
  typedef unsigned short     t_word;
  typedef unsigned int       t_quad;
  typedef unsigned long long t_octa;
  typedef long long          t_long;
  typedef double             t_real;
  typedef unsigned int       t_size;

  // fundamental constants of the afnix system
  const char nilc = '\0';
  const char eofc = '\4';
  const char eolc = '\n';
  const char crlc = '\r';
  const char tabc = '\t';
}

#endif
